## Sinai's Utility Pack

Some small utility / quality-of-life mods which don't warrant separate releases.

* **NOTE**: This mod requires [Outward Config Manager](https://outward.thunderstore.io/package/Mefino/Outward_Config_Manager/). You must enable each of the plugins that you want to use from the config menu.

Features:
* Better Targeting
* Building Helper
* Custom Time Speed
* Custom Weight
* Disable Mouse Smoothing
* Dismantler
* Enchantment Helper

## Manual Install
Put `UtilityPack.dll` in `Outward\BepInEx\plugins\`

## Features
### Better Targeting

Removes the automatic target switching behaviour from the vanilla game so that you don't randomly switch targets mid-fight.

Adds a new "Toggle Target" keybind which you can press to manually cycle through the available targets.

Setup:
1. Enable Better Targeting in the config menu.
2. Set a keybind for `Toggle Target` in your keybindings if you wish to use it.

### Building Helper

Debug and cheat tool for building in The Three Brothers.

* Allows you to place buildings anywhere (even in other scenes)
* Removes build times and costs (instant, free building)
* Allows you to destroy buildings.

Setup:
1. Enable Better Targeting in the config menu.
2. Set a keybind for `Building Helper Menu` in your keybindings.
3. Open the menu while in-game to use it

### Custom Time Speed
Allows you to set a modifier on the rate at which time passes in-game.

Setup:
1. Enable Custom Time Speed in the config menu.
2. In the "Custom Time Speed" section of the menu, set your value as desired.

### Custom Weight

A cheat tool for the weight mechanic in the game if you don't want to deal with it.

Setup:
1. Enable Custom Weight in the config menu.
2. In the "Custom Weight" section of the menu, set your desired values for weight penalties, or remove them all-together.

### Disable Mouse Smoothing

A simple feature which disables the "mouse smoothing" effect.

Setup:
1. Just enable it in the config menu.

### Dismantler

Adds Destroy interactions to objects which don't normally have them (Plant Tents, Campfires, etc).

Setup:
1. Just enable it in the config menu.

### Enchantment Helper
A Debug/cheat tool for Enchantments, allowing you to put enchantments on items instantly and without cost.

Setup:
1. Enable Enchantment Helper in the config menu
2. Set a keybind for `Enchantment Helper Menu` in your keybindings
3. Open the menu while a character is loaded and add enchantments to your equipped items
